Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-6302

Upgrade incorrectly sets default value for the REST APIs service

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Not a defect
    • Affects Version/s: 12.0.0, 12.0.1, 12.0.2
    • Fix Version/s: None
    • Component/s: rest, upgrade
    • Sprint:
      Sprint 90 - Team Newton

      Description

      Having a look at:
      https://svn.forgerock.org/openam/tags/12.0.0/openam/openam-core/src/main/java/org/forgerock/openam/upgrade/helpers/RestApiUpgradeHelper.java

      suggests that the REST APIs service will be updated to use the "OLDEST" value for the openam-rest-apis-default-version configuration value, however the RestApis.xml that contains the service definition actually has value of "Oldest".
      Unfortunately the difference in the casing means that the setting will have no value configured, which can later on cause confusing issues such as OPENAM-6301.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                ken.stubbings Ken Stubbings
                Reporter:
                peter.major Peter Major [X] (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: